<?php
namespace Claromentis\Search\EmptySearch\Model;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("keyword" . "s" => base64_decode("a2V5d29" . "yZHM="), "_aa7e860da1acd4e767e0d" . "f9d7d407380" => base64_decode("ZGF0ZV9jc" . "mVhdGVk"), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_c261da155a5b4c08fbbfc94c9c7a9" . "d5f" => base64_decode("ZW1w" . "dHlf" . "c2Vh" . "cmNo"), "user_" . "id" => base64_decode("dXNlcl9pZA" . "=="));
use ActiveRecord;
use ObjectsStorage;









class EmptySearchModel extends ActiveRecord
{
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c261da155a5b4c08fbbfc94c9c" . "7a9d5f"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["use" . "r_i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_aa7e860da1acd4e767e0" . "df9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["keyword" . "s"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function SetUserId($user_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["user" . "_id"], $user_id);
    }
    
    
    
    
    public function SetDate($_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_aa7e860da1acd4e767e0df9d" . "7d407380"], $_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    public function SetKeywords($keywords)
    {
        $this->SetProperty($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["ke" . "yw" . "or" . "ds"], $keywords);
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["user" . "_id"]);
    }
    
    
    
    
    public function GetDate()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_aa7e860d" . "a1acd4e76" . "7e0df9d7d" . "407380"]);
    }
    
    
    
    
    public function GetKeywords()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["keywor" . "ds"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return \User::GetNameById($this->GetUserId());
    }
    
    
    
    
    public function GetProfileUrl()
    {
        return \User::GetProfileUrl($this->GetUserId());
    }
}